Package org.apache.solr.client.solrj.request

# Class CoreAdminRequest.MergeIndexes

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<CoreAdminResponse>
org.apache.solr.client.solrj.request.CoreAdminRequest
org.apache.solr.client.solrj.request.CoreAdminRequest.MergeIndexes

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `CoreAdminRequest`

public static class CoreAdminRequest.MergeIndexes extends CoreAdminRequest

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`CoreAdminRequest.Create, CoreAdminRequest.CreateSnapshot, CoreAdminRequest.DeleteSnapshot, CoreAdminRequest.ListSnapshots, CoreAdminRequest.MergeIndexes, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<String>`
`indexDirs`
`protected List<String>`
`srcCores`

### Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`action, core, isIndexInfoNeeded, other`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`MergeIndexes()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getIndexDirs()`
`SolrParams`
`getParams()`
The parameters for this request; never null.
`List<String>`
`getSrcCores()`
`void`
`setIndexDirs(List<String> indexDirs)`
`void`
`setSrcCores(List<String> srcCores)`

### Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`createCore, createCore, createCore, createResponse, getCoreStatus, getCoreStatus, getStatus, mergeIndexes, reloadCore, renameCore, setAction, setCoreName, setIndexInfoNeeded, setOtherCoreName, swapCore, unloadCore, unloadCore, unloadCore`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, requiresCollection, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### indexDirs

protected List<String> indexDirs

### srcCores

protected List<String> srcCores

## Constructor Details

### MergeIndexes

public MergeIndexes()

## Method Details

### setIndexDirs

public void setIndexDirs(List<String> indexDirs)

### getIndexDirs

public List<String> getIndexDirs()

### getSrcCores

public List<String> getSrcCores()

### setSrcCores

public void setSrcCores(List<String> srcCores)

### getParams

public SolrParams getParams()
Description copied from class: `SolrRequest`
The parameters for this request; never null. The runtime type may be mutable but modifications may not affect this `SolrRequest` instance, as it may return a new instance here every time. If the subclass specifies the response type as `ModifiableSolrParams`, then one can expect it to change this request. If the subclass has a setter then one can expect this method to return the value set.

Overrides:
  `getParams` in class `CoreAdminRequest`